/*
 * Pan - A Newsreader for X
 * Copyright (C) 1999  Matt Eagleson (e.Messiah@superpimp.org)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef __ARTICLE_HEADERS_DB_H__
#define __ARTICLE_HEADERS_DB_H__

typedef struct AHDB* article_db;

extern article_db ahdb_ref ( const server_data*, const group_data* );
extern void ahdb_unref ( article_db );

extern article_data* ahdb_get ( article_db, const char* message_id );
extern GSList* ahdb_get_all ( article_db, GFunc, gpointer );

extern gboolean ahdb_exists ( const server_data*, const group_data* );
extern void ahdb_delete_db_file ( const server_data*, const group_data* );

extern void ahdb_save ( article_db, const article_data*, gboolean sync );
extern void ahdb_save_all ( article_db, GSList* article_headers, GFunc, gpointer );
extern void ahdb_erase ( article_db, const article_data* );
extern void ahdb_erase_all ( article_db );
extern void ahdb_sync ( article_db );

#endif
