/*
 * Pan - A Newsreader for X
 * Copyright (C) 1999  Matt Eagleson (e.Messiah@superpimp.org)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef __ARTICLE_LIST_H__
#define __ARTICLE_LIST_H__

extern GdkColormap *cmap;
extern GdkColor read_color;
extern GdkColor unread_color;
extern GdkColor new_color;

extern GtkStyle *unread_style;
extern GtkStyle *read_style;
extern GtkStyle *new_style;

extern GSList* thread_articles ( GSList* adata_gslist );

void set_node_image (article_data *);
GtkWidget* create_articlelist_ctree (void);
//void articlelist_get_all (void);
void articlelist_select_all (void);
void articlelist_get_new (void);
void articlelist_free (GSList *);
void articlelist_load ( group_data* );
void articlelist_clear (void);
void articlelist_find_text_cb (void);
void articlelist_find_next_cb (void);

void find_dialog_destroy_cb (void);

extern void articlelist_mark_articles_read ( GPtrArray* array_of_article_data_ptrs );
extern void articlelist_mark_articles_unread ( GPtrArray* array_of_article_data_ptrs );
extern void articlelist_mark_all_read ( void );

extern void articlelist_update ( group_data*, GSList* adata_list );
extern void articlelist_update_node ( const article_data* adata );

extern void articlelist_all_mark_read ( void );
extern void articlelist_selected_decode ( void );
extern void articlelist_selected_delete ( void );
extern void articlelist_selected_mark_read ( void );
extern void articlelist_selected_mark_unread ( void );
extern void articlelist_selected_open ( void );



#endif /* __ARTICLE_LIST_H__ */
