/*
 * Pan - A Newsreader for X
 * Copyright (C) 1999  Matt Eagleson (e.Messiah@superpimp.org)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef __DATE_H__
#define __DATE_H__

#ifndef isdigit
#define isdigit(x) (((x)>='0')&&((x)<='9'))
#endif
#ifndef isalpha
#define isalpha(x) ((((x)>='A')&&((x)<='Z')) || (((x)>='A')&&((x)<='Z')))
#endif

#define THE_YEAR_0		1970L
#define IS_LEAP_YEAR(y)		(((y) % 4) == 0)

/***
 * data structures
 ***/
typedef struct {
	char name[5];
	int tz;
} Timezone_Table_Type;

/***
 * function prototypes
 ***/
gchar* skip_whitespace (gchar *b);
time_t parse_date (gchar *date);
int parse_timezone (gchar *t);
gchar* generate_date (void);

#endif /* __DATE_H__ */
