/*
 * Pan - A Newsreader for X
 * Copyright (C) 1999  Matt Eagleson (e.Messiah@superpimp.org)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef __GROUPLIST_H__
#define __GROUPLIST_H__

extern GnomePixmap *disk_pixmap;

void grouplist_save_index (GSList *glist);
void grouplist_save		(GSList *);
void grouplist_update		(void);
void grouplist_update_row	(const group_data *gdata);
void grouplist_grep		(GtkWidget *);
void grouplist_process_selcted	(int type);
void grouplist_selected_download_all (void);
void grouplist_selected_download_new (void);
void grouplist_selected_subscribe   (void);
void grouplist_selected_unsubscribe (void);
void grouplist_selected_properties (void);
void grouplist_selected_unnew	(void);
void grouplist_selected_empty	(void);
void grouplist_select_row	(GtkWidget *widget, int r, int c, GdkEvent *event);
void grouplist_load		(void);
GtkWidget* grouplist_create	(void);
void grouplist_free		(GSList *);
void grouplist_select_all	(void);
void grouplist_get_all	(void);
void grouplist_get_new	(void);

void grouplist_button_press (GtkWidget *widget, GdkEventButton *bevent);

void grouplist_show_all (void);
void grouplist_show_new (void);
void grouplist_show_subscribed (void);

#endif /* __GROUPLIST_H__ */
