/*
 * Pan - A Newsreader for X
 * Copyright (C) 1999  Matt Eagleson (e.Messiah@superpimp.org)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

//
// logging extension for pan
// (c) 1999 Jason Leach
// released under the GNU GPL
//

#ifndef __LOG_H__
#define __LOG_H__

typedef struct _PanLogViewer PanLogViewer;
struct _PanLogViewer {
	/* public */
	GtkWidget *window;  /* main window */
	GtkWidget *log; /* GtkText of log contents */
	GtkWidget *appbar;
	GtkWidget *file_entry;

	/* private */
};


void remove_crlf (gchar *msg);
void logging_toggle (void);

//int log_open (group_data *gdata);
//int log_close (FILE *fp);
void log_add_va (char *, ...);
void log_add (char *);
void log_viewer_spawn (void);
void log_init (void);
void log_save_cb (GtkWidget *widget, PanLogViewer *lw);
void log_hide_cb (GtkWidget *widget, PanLogViewer *lw);
void log_clear_cb (GtkWidget *widget, PanLogViewer *lw);
void log_update (void);

void log_cut_cb (GtkWidget *widget, PanLogViewer *plw);
void log_copy_cb (GtkWidget *widget, PanLogViewer *plw);
void log_paste_cb (GtkWidget *widget, PanLogViewer *plw);
void log_save_ok_clicked (GtkWidget *widget, PanLogViewer *plw);
void log_setup_appbar (void);


#endif /* __LOG_H__ */
