/*
 * Pan - A Newsreader for X
 * Copyright (C) 1999  Matt Eagleson (e.Messiah@superpimp.org)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef __NNTP_H__
#define __NNTP_H__

extern int stop_all;
extern int must_exit;
extern int online;
extern int online_prompt;

char* nntp_connect (void);

void disconnect (void);
GSList * nntp_grouplist_download (void);
GSList * nntp_articlelist_download (group_data *, int, int *);
int nntp_article_download (group_data *, article_data *);

int nntp_article_decode ( group_data*, GSList* list_of_msg_id_quarks );

void multipart_decode (queue_data *);
int nntp_post (char *);

int is_online (void);
void go_online (void);
//int go_online_ask (void);
void go_offline (void);
void stop_all_mf(void);
void go_offline_mf(void);
void connect_wait (void);
void network_error (const gchar *, ...);
int  nntp_set_group (group_data *data);
void nntp_send_noop(void);
void nntp_want_connect(void);
void nntp_want_disconnect(void);
void nntp_init(void);

void connect_dialog_clicked_cb(GnomeDialog *dialog, int button);

#endif /* __NNTP_H__ */
