#ifndef __PAN_H__
#define __PAN_H__

#include <config.h>

#include <pthread.h>
#include <gnome.h>

#include "group.h"
#include "grouplist.h"
#include "article.h"
#include "acache.h"
#include "pan-db.h"
#include "text.h"
#include "util.h"
#include "server.h"
#include "queue.h"
#include "nntp.h"
#include "article-db.h"
#include "sockets.h"
#include "articlelist.h"
#include "post.h"
#include "gui-notebook.h"
#include "gui-paned.h"
#include "gui.h"
#include "prefs.h"
#include "date.h"
#include "druid.h"
#include "log.h"
#include "queue-manager.h"
#include "message-filter.h"
#include "decode.h"
#include "statistics.h"
#include "group-props.h"

/* Defines
 */
#ifndef MAXHOSTNAMELEN
#define MAXHOSTNAMELEN 255
#endif
#ifndef PATH_MAX
#define PATH_MAX 255
#endif

#define SHOW_DEBUG_MSG 0

typedef struct _PanApp PanApp;
struct _PanApp {
	pthread_t conmgr_t;
	pthread_t queue_t;
	GtkWidget   *window;		        /* main window for Pan */
	GtkWidget   *appbar;		        /* ??? */
	GtkWidget   *article_ctree;	        /* ??? */
	GtkWidget   *group_clist;	        /* left window pane, group list */
	gint idle_tag;				/* ??? */
	gint timer_tag;				/* ??? */
	server_data *active_server;	        /* 'Erols' or the likes*/
	group_data  *active_group;		/* the group currently in use */
	gchar* active_message_id;
	GSList *grouplist;			/* entire list of groups, pulled from active file */
};

extern PanApp Pan;

/*
 * Function Definitions
 */
void pan_shutdown (void);
void pan_init (void);

void       session_die             (GnomeClient        *client,
				    gpointer           data);

gint       save_session            (GnomeClient        *client,
				    gint               phase,
				    GnomeSaveStyle     save_style,
				    gint               is_shutdown,
				    GnomeInteractStyle interact_style,
				    gint               is_fast,
				    gpointer           client_data);

#endif /* __PAN_H__ */
