/*
 * Pan - A Newsreader for X
 * Copyright (C) 1999  Matt Eagleson (e.Messiah@superpimp.org)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef __POST_H__
#define __POST_H__

typedef struct _PostWindow PostWindow;
struct _PostWindow {
	GtkWidget *window;
	GtkWidget *from;
	GtkWidget *organization;
	GtkWidget *newsgroups;
	GtkWidget *subject;
	GtkWidget *text;
        group_data *group;
	article_data *article;
};


void post_cut_cb (GtkWidget *widget, PostWindow *pw);
void post_copy_cb (GtkWidget *widget, PostWindow *pw);
void post_paste_cb (GtkWidget *widget, PostWindow *pw);
void destroy_post_window (GtkWidget *widget, PostWindow *pw);
void close_window (GtkWidget *widget, PostWindow *pw);
gint check_from_syntax (gchar *s);
gint check_newsgroups_syntax (gchar *s);
gchar* get_host_name (void);
gchar* get_fqdn (gchar *host);
void send_post (GtkWidget *widget, PostWindow *pw);
GtkWidget* create_info_pane (PostWindow *pw);
GtkWidget* create_text_area (PostWindow *pw);
void post_window_spawn (GtkWidget *widget, gint reply);
void followup_window (void);

#endif /* __POST_H__ */
