/*
 * Pan - A Newsreader for X
 * Copyright (C) 1999  Matt Eagleson (e.Messiah@superpimp.org)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef __PREFS_H__
#define __PREFS_H__


extern gchar *temp_dir;
extern gchar *data_dir;
extern gchar *download_dir;

/*
 * data structures
 */
typedef struct _PanPrefsWindow PanPrefsWindow;
struct _PanPrefsWindow {
	GnomePropertyBox *box;
	GtkWidget *server_clist;
	GtkWidget *edit_profile_dialog;
	GtkWidget *profile_name_entry;

/* server profile */
	GtkWidget *server_address;
	GtkWidget *server_port;
	GtkWidget *auth_cbutton;
	GtkWidget *server_username_label;
	GtkWidget *server_username;
	GtkWidget *server_password_label;
	GtkWidget *server_password;
	GtkWidget *msgid_cbutton;

/* general */
	GtkWidget *online_cbutton;
	GtkWidget *one_click_preview_cbutton;

/* user */
	GtkWidget *user_email;
	GtkWidget *user_organization;
	GtkWidget *user_fullname;
	GtkWidget *user_signature_file;

/* directories */
	GtkWidget *dir_download;
	GtkWidget *dir_temp;
	GtkWidget *dir_data;

/* headers */
	GtkWidget *headers_0;
	GtkWidget *headers_1;
	GtkWidget *headers_2;

/* display */
	GtkWidget *grouplist_gfp;
	GtkWidget *articlelist_gfp;
	GtkWidget *message_body_gfp;

	GtkWidget *read_color_picker;
	GtkWidget *unread_color_picker;
	GtkWidget *new_color_picker;
};


extern gchar *grouplist_font;
extern gchar *articlelist_font;
extern gchar *message_body_font;

extern PanPrefsWindow *prefs_window;

/* 
 * function prototypes
 */
void prefs_spawn (void);
void prefs_init (void);

void load_servers (void);
void save_servers (void);
void prefs_update_clist (void);
void prefs_apply (GtkWidget *box, int page_num);
void edit_profile_dialog_clicked (GnomeDialog *dialog, int button, server_data *data);
void edit_profile_changed (GnomeDialog *d);
void edit_profile_dialog (server_data *data);
void server_clist_button_press (GtkWidget *widget, GdkEventButton *bevent);
void new_server_cb (void);
void edit_server_cb (void);
void delete_server_cb (void);
void prefs_cancel (void);
GtkWidget* prefs_directories_page (void);
GtkWidget* prefs_userinfo_page (void);
GtkWidget* message_page (void);
GtkWidget* prefs_server_page (void);
GtkWidget* prefs_display_page (void);
GtkWidget* general_page (void);
void online_cbutton_toggled (GtkWidget *widget, gpointer data);
void one_click_preview_cbutton_toggled (GtkWidget *widget, gpointer data);

void articlelist_set_font (GnomeFontPicker *gfp, gchar *font_name);
void message_body_set_font (GnomeFontPicker *gfp, gchar *font_name);


#endif /* __PREFS_H__ */
