/*
 * Pan - A Newsreader for X
 * Copyright (C) 1999  Matt Eagleson (e.Messiah@superpimp.org)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef __QUEUE_H__
#define __QUEUE_H__

#define QUEUE_ARTICLE_DOWNLOAD 0
#define QUEUE_ARTICLE_DECODE 1
#define QUEUE_ARTICLE_POST 2
#define QUEUE_ARTICLELIST_DOWNLOAD_ALL 3
#define QUEUE_ARTICLELIST_DOWNLOAD_NEW 4
#define QUEUE_ARTICLELIST_DOWNLOAD_SAMPLE 5
#define QUEUE_ARTICLELIST_LOAD 6
#define QUEUE_GROUPLIST_DOWNLOAD 7
#define QUEUE_FOREGROUND 128
#define QUEUE_BACKGROUND 256
#define QUEUE_OPEN 512

typedef struct _queue_data queue_data;
struct _queue_data
{
	server_data *sdata;
	group_data  *gdata;
	guint       flags;
	void        *ptr;
};


extern gint qtotal;


void queue_add_grouplist_download (void);
void queue_add_article_download ( server_data*, group_data*, const gchar* message_id, guint flags );
void queue_add_article_decode ( server_data*, group_data*, GSList* message_id_glist, guint flags );

void queue_add_articlelist_download (group_data *, guint);
void queue_add_post (const gchar *);
void queue_append (queue_data *qdata);
queue_data* queue_get_next (void);
void queue_init (void);
void queue_purge (void);
void queue_run (queue_data *qdata);

void queue_run_articlelist (queue_data *qdata);
void queue_run_post (queue_data *qdata);
void queue_run_grouplist(queue_data *qdata);
int queue_active(int);

void articlelist_download(queue_data *);

#endif /* __QUEUE_H__ */
