/*
 * Pan - A Newsreader for X
 * Copyright (C) 1999  Matt Eagleson (e.Messiah@superpimp.org)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef __SERVER_H__
#define __SERVER_H__

typedef struct _server_data server_data;
struct _server_data {
	gchar *address;  /* full address, i.e. news.erols.com */
	gchar *name;	   /* pretty name, i.e. Erols */
	gchar *port;	   /* NNTP port (usually 119) */
	gint gen_msgid;
	gint need_auth; /* need authorization ? */
	gchar *username; /* auth username */
	gchar *password; /* auth password */
	gint posting;	   /* is posting allowed? */
};

void server_menu_create (GtkWidget *);
void server_menu_update ();
void server_menu_sensitize ();
void server_menu_desensitize ();
void server_init (void);
void server_free (server_data *);
void server_set_active(void);
server_data* server_fetch (char *name);
void server_selected_cb (GtkWidget *menuitem, char *name);
void server_menu_update (void);
void* server_get_attrib_db ( );


#endif /* __SERVER_H__ */
