/*
 * Pan - A Newsreader for X
 * Copyright (C) 1999  Matt Eagleson (e.Messiah@superpimp.org)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef __UTIL_H__
#define __UTIL_H__

gchar*  Pan_strbrk         (gchar *, gchar *);
gchar** String_Split       (gchar *, gchar *, gint);
gchar*  Pan_strtrim        (gchar *);
gchar*  tilde_expand       (gchar *);
gfloat  percent            (gint, gint);
void    not_implemented    (void);
void    clist_unselect_all (GtkWidget *);
//gchar*  fgetline           (FILE *);
void    pan_error_dialog   (const gchar *, ...);
void    pan_lock           (void);
void    pan_unlock         (void);
void    directory_check    (gchar *);
char*   stristr            (const char* str, const char* pattern);
void	widget_set_font    (GtkWidget* w, const char* font_name);
GArray* read_file ( const char* filename );
gchar* commatize_ulong (gulong num);

/**
 * Works like bsearch, except it returns the lower bound index
 * in the array.  This is useful for finding a sorted insertion
 * point or for finding the nearest match.
 *
 * @param key the item to search for
 * @param base the beginning of the sorted array to search
 * @param n number of items in the array
 * @param size the size of each item in the array
 * @param compare standard c compare func
 * @param exact_match (optional) set to true or false if the lower bound is an exact match of key
 * @return the index of the lower bound of the search
 * @prerequisite base must be sorted with respect to compare
 */
extern int lower_bound (
   const void * key,
   const void * base,
   size_t n,
   size_t size,
   int (*compare)(const void *, const void *),
   gboolean* exact_match );


#endif /* __UTIL_H__ */
